/* BODY(FUNDO DO SITE) */

body {
  margin: 0;
  padding: 0;
  min-height: 100vh;
  display: flex;
  flex-direction: column;

  /* FUNDO COM GRADIENTE */
  background-image: 
  linear-gradient(rgba(9, 239, 239, 0.8) 1px, transparent 1px), 
  linear-gradient(90deg, rgba(9, 239, 239, 0.8) 1px, transparent 1px),
  linear-gradient(180deg, rgb(191, 0, 255) 0%, rgb(54, 26, 154) 50%, rgb(23, 32, 62) 100%);
  
  background-size: 25px 25px, 25px 25px, 100% 100%; 
}

/* CABEÇALHO */

.cabecalho {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  background: linear-gradient(to right, rgb(231, 205, 77), rgb(253, 61, 125));
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;

  width: 100%;            
  padding: 10px 20px;       
  box-sizing: border-box;

  /* FUNDO COM TEXTURA + GRADIENTE */

  background: 
    radial-gradient(rgba(0,0,0,0.1) 15%, transparent 20%) 0 0,
    radial-gradient(rgba(0,0,0,0.1) 15%, transparent 20%) 10px 10px,    
    linear-gradient(to right, rgb(231, 205, 77), rgb(253, 61, 125)); 
  background-size: 8px 8px, 8px 8px, 100% 100%;
  
}

/* INFOS HEADER */

.siteNome {
  font-size: 40px;
}

.menu {
  display: flex;
  align-items: center;
  font-size: 20px;
  gap: 20px;
}

.botao {
  text-decoration: none;   
  padding: 10px 20px;      
  background-color: rgba(10, 231, 231, 0.5);   
  backdrop-filter: blur(5px);
  color: black;          
  border: 2px solid white;
  border-radius: 8px;     
  font-weight: bold;
  transition: 0.3s;
}

.botao:hover {
  background-color: white;
  transform: scale(1.1);   
}

/* CORPO PRINCIPAL */


.corpo {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  align-items: right;
  display: flex;

  width: 100%;            
  padding: 60px;   
  box-sizing: border-box;

}

.catalogo {
  display: flex;
  justify-content: center;
  gap: 30px;
  margin-top: 50px;
  flex-wrap: wrap;
}

.card-filme {
  background: rgba(255,255,255,0.05);
  padding: 15px;
  border-radius: 15px;

  border: 1px solid rgba(0, 255, 255, 0.3);
  backdrop-filter: blur(5px);

  text-align: center;
  transition: 0.4s;
}

.card-filme:hover {
  transform: translateY(-10px);
  box-shadow: 0 0 20px cyan;
}

.card-filme img {
  width: 100%;
  height: 250px;
  object-fit: cover;
  border-radius: 10px;
}

.card-filme p {
  color: white;
  margin-top: 10px;
}

/* SOL */

.sol-neon {
  width: 200px;
  height: 200px;
  background: linear-gradient(to bottom, #ffea00, #ff00d9);
  border-radius: 50%;
  position: absolute;
  right: 10%; 
  z-index: -1;
  box-shadow: 0 0 50px #ff00d9;

  mask-image: linear-gradient(to bottom, 
    black 70%, transparent 72%, 
    black 75%, transparent 77%, 
    black 80%, transparent 82%, 
    black 85%, transparent 87%, 
    black 90%, transparent 92%);
}

.login .sol-neon {
  right: 50%;
  transform: translateX(50%);
}

.conexao {
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  height: 100vh;
  
  clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
  background: linear-gradient(to top, rgba(191, 0, 255, 0.2), transparent);
  z-index: -2;
  pointer-events: none;
}



.texto {
  font-size: 50px;
  color: antiquewhite;
}

/* RODAPÉ */

.rodape {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  background: rgb(36, 36, 40);
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  color: white;

  margin-top: auto;
  width: 100%;
  padding: 20px 10px;
  box-sizing: border-box;

  
}

.paragrafo {
  font-size: 15px;
  color: antiquewhite;
}

.redes {
  display: flex;
  align-items: center;
  font-size: 20px;
  gap: 20px;
}


.rede1 {
  text-decoration: none;   
  padding: 10px 20px;      
  background-color: rgba(245, 235, 36, 0.8);   
  backdrop-filter: blur(5px);
  color: black;          
  border: 2px solid white;
  border-radius: 8px;     
  font-weight: bold;
  transition: 0.3s;
}

.rede1:hover {
  background-color: white;
  transform: scale(1.1);   
}

.rede2 {
  text-decoration: none;   
  padding: 10px 20px;      
  background-color: rgba(245, 235, 36, 0.8);   
  backdrop-filter: blur(5px);
  color: black;          
  border: 2px solid white;
  border-radius: 8px;     
  font-weight: bold;
  transition: 0.3s;
}

.rede2:hover {
  background-color: white;
  transform: scale(1.1);   
}

.rede3 {
  text-decoration: none;   
  padding: 10px 20px;      
  background-color: rgba(245, 235, 36, 0.8);   
  backdrop-filter: blur(5px);
  color: black;          
  border: 2px solid white;
  border-radius: 8px;     
  font-weight: bold;
  transition: 0.3s;
}

.rede3:hover {
  background-color: white;
  transform: scale(1.1);   
}

/* LOGIN */


.login-box {
  width: 300px;
  margin: auto;
  margin-top: 100px;
  padding: 20px;

  background: linear-gradient(45deg, #ff7e5f, #ff00d9);
  border-radius: 15px;
  backdrop-filter: blur(10px);
  text-align: center;
}

.login-box input {
  width: 90%;
  margin: 10px;
  padding: 10px;
  border: none;
  border-radius: 8px;
}

.layout {
  display: flex;
}

/* SIDEBAR */
.sidebar {
  width: 220px;
  height: 100vh;
  padding: 20px;

  display: flex;
  flex-direction: column;
  gap: 20px;

  background: linear-gradient(to bottom, #ff00ee, #6a0dad);
  border-right: 2px solid cyan;

  box-shadow: 0 0 20px rgba(0,255,255,0.5);
}

/* PERFIL */
.perfil {
  text-align: center;
  color: white;
}

.perfil img {
  width: 80px;
  border-radius: 50%;
  border: 2px solid cyan;
}

/* PESQUISA */
.pesquisa {
  padding: 10px;
  border-radius: 8px;
  border: none;

  background: rgba(0,0,0,0.5);
  color: white;
}

/* LINKS */
.item {
  text-decoration: none;
  color: white;
  padding: 10px;
  border-radius: 8px;

  background: rgba(0,255,255,0.1);
  transition: 0.3s;
}

.item:hover {
  background: cyan;
  color: black;
  transform: scale(1.05);
}

.conteudo {
  flex: 1;
  padding: 40px;
}

/* GRID DE FILMES */
.filmes {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

/*EFEITO RETRÔ*/

.sidebar {
  background:
    repeating-linear-gradient(
      0deg,
      rgba(0,255,255,0.1) 0px,
      rgba(0,255,255,0.1) 1px,
      transparent 1px,
      transparent 20px
    ),
    linear-gradient(to bottom, #ff00ee, #6a0dad);
}

.filmes {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-items: center;
  gap: 30px;
}

.titulo-secao {
  color: cyan;
  font-size: 28px;
  margin-bottom: 20px;

  text-shadow: 
    0 0 5px #ff00ee,
    0 0 10px #dd7cd6,
    0 0 20px rgb(237, 214, 231);

  border-left: 4px solid #ff00ee;
  padding-left: 10px;
}